pkgsrc/sysutils/open-vm-tools/patches/patch-scripts_netbsd_network
ryoon 33f8e77dd6 Update to 10.1.0
Changelog:
What's New

VMware Tools is a suite of utilities that enhances the performance of the virtual machine's guest operating system and improves management of the virtual machine. Read about the new and enhanced features in this release below:

    vmware-namespace-cmd: Added vmware-namespace-cmd command line utility that exposes set/get commands for the namespace database in the VMX.
    gtk3 support: open-vm-tools has been updated to use gtk3 libraries.
    Common Agent Framework (CAF): CAF provides the basic services necessary to simplify secure and efficient management of agents inside virtual machines.
    xmlsec1: Changed guest authentication to xmlsec1.
    FreeBSD: Changes to support open-vm-tools on FreeBSD.
    Automatic Linux Kernel Modules: Automatic rebuilding of kernel modules is enabled by default.
    New sub-command: Added a new sub-command to push updated network information to the host on demand.
    udev-rules: Added udev rules for configuring SCSI timeout in the guest.
    Ubuntu 16.10: Fixes for running on Ubuntu 16.10.
    Quiesced Snapshot: Fix for quiesced snapshot failure leaving guest file system quiesced.

Internationalization

open-vm-tools 10.1.0 supports the following languages:

    English
    French
    German
    Spanish
    Italian
    Japanese
    Korean
    Simplified Chinese
    Traditional Chinese

Compatibility

open-vm-tools 10.1.0 is compatible with all supported versions of VMware vSphere, VMware Workstation 12.5 and VMware Fusion 8.5.
2016-12-23 04:11:03 +00:00

108 lines
2.9 KiB
Text

$NetBSD: patch-scripts_netbsd_network,v 1.2 2016/12/23 04:11:03 ryoon Exp $
--- scripts/netbsd/network.orig 2016-12-17 20:49:31.242238289 +0000
+++ scripts/netbsd/network
@@ -0,0 +1,103 @@
+#!/bin/sh
+##########################################################
+# Copyright (C) 2010-2016 VMware, Inc. All rights reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published
+# by the Free Software Foundation version 2.1 and no later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the Lesser GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+##########################################################
+
+##########################################################################
+# DO NOT modify this file directly as it will be overwritten the next
+# time the VMware Tools are installed.
+##########################################################################
+
+#
+# network (FreeBSD 6.3 and above)
+#
+# This script uses FreeBSD's rc(8) scripts to stop and restart networking
+# services in response to suspend and resume events, respectively.
+#
+
+
+echo `date` ": Executing '$0'"
+echo
+
+. `dirname "$0"`/../../statechange.subr
+
+
+#
+# ToggleNetwork --
+#
+# Sources native configuration files in a subshell and executes native
+# scripts to either start or stop networking services associated with
+# a single interface.
+#
+# Results:
+# See description above.
+#
+# Side effects:
+# All side effects implied by FreeBSD's netif script.
+#
+
+ToggleNetwork() {
+ (
+ . /etc/rc.subr
+ . /etc/network.subr
+
+ load_rc_config network
+
+ for intf in `list_net_interfaces dhcp`; do
+ /etc/rc.d/netif $1 $intf
+ ec=$?
+
+ # Failure to stop an interface should not interfere with suspend.
+ if [ "$1" != "stop" ]; then
+ exitCode=`expr $exitCode \| $ec`
+ fi
+ done
+ )
+}
+
+
+#
+# main --
+#
+# Main entry point. Perform some sanity checking, then map state change
+# events to relevant networking operations.
+#
+# Results:
+# See comment at top of file.
+#
+
+main() {
+ exitCode=0
+
+ [ -r /etc/rc.subr ] || Panic "Cannot read /etc/rc.subr."
+ [ -r /etc/network.subr ] || Panic "Cannot read /etc/network.subr"
+ [ -x /etc/rc.d/netif ] || Panic "Cannot read /etc/rc.d/netif"
+
+ case "$1" in
+ suspend-vm)
+ ToggleNetwork stop
+ ;;
+ resume-vm)
+ ToggleNetwork start
+ ;;
+ *) ;;
+ esac
+
+ return $exitCode
+}
+
+main "$@"